Subject: bug#21833: 24.4; desktop-kill, which is interactive, is in kill-emacs-hook

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Nov 2015 12:01:35 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Fri, 13 Nov 2015 10:30:41 +0100
> Cc: Glenn Morris <[email-masked]>, [email-masked], [email-masked]
> 
> > Why not decide that the sensible non-interactive behavior is to behave
> > as if the answer is NO? Can you think up a use cases where this would
> > be terribly wrong?
> 
> If you have a complex setup, particularly involving frames (which are also
> saved). 

Sorry, I don't understand: what frames?  We are talking about
non-interactive situations, no?

> > FWIW, IME, whenever I see this question (interactively, of course),
> > the correct answer is always NO.
> 
> In my case, the right answer is almost always YES (i.e,, I almost always want
> to save the desktop).

Why?  In "emacs -Q", the desktop you have is ephemeral; overwriting
your last "normal" invocation's saved desktop runs a very real risk of
wiping out precious information.  The desktop file isn't versioned, so
you just lose it forever.  How can this ever be TRT?